Skip to main content
PATCH
/
v2
/
webhook
/
endpoint
Endpoint - Update
curl --request PATCH \
  --url https://api.chainstream.io/v2/webhook/endpoint \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endpointId": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
  "channels": [
    "sol.token.migrated"
  ],
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "url": "https://example.com"
}
'
{
  "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
  "url": "https://example.com",
  "channels": [
    "sol.token.migrated"
  ],
  "createdAt": "2021-01-01T00:00:00.000Z",
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "updatedAt": "2021-01-01T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to update a webhook endpoint

endpointId
string
required

Endpoint ID

Example:

"ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2"

channels
enum<string>[] | null

Webhook event channels to subscribe to

Webhook event channel

Available options:
sol.token.migrated,
sol.token.created
description
string | null

Endpoint description

Example:

"Webhook description"

disabled
boolean | null

Whether the endpoint is disabled

Example:

false

filter
string | null

Event filter configuration

filterTypes
string[] | null

Event type filters

metadata
object

Endpoint metadata

Example:
{ "key": "value" }
rateLimit
integer<int32> | null

Rate limit for the endpoint

Required range: x >= 0
Example:

1000

url
string | null

Webhook destination URL

Example:

"https://example.com"

Response

200 - application/json

Successful response

Webhook endpoint response

id
string
required

Endpoint internal ID

Example:

"ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2"

url
string
required

Webhook destination URL

Example:

"https://example.com"

channels
enum<string>[] | null

Webhook event channels to subscribe to

Webhook event channel

Available options:
sol.token.migrated,
sol.token.created
createdAt
string | null

Endpoint creation timestamp

Example:

"2021-01-01T00:00:00.000Z"

description
string | null

Endpoint description

Example:

"Webhook description"

disabled
boolean | null

Whether the endpoint is disabled

Example:

false

filter
string | null

Event filter configuration

filterTypes
string[] | null

Event type filters

metadata
object

Endpoint metadata

Example:
{ "key": "value" }
rateLimit
integer<int32> | null

Rate limit for the endpoint

Required range: x >= 0
Example:

1000

updatedAt
string | null

Endpoint last updated timestamp

Example:

"2021-01-01T00:00:00.000Z"